from sqlalchemy import Column, TIMESTAMP, JSON, VARCHAR, create_engine
from sqlalchemy_utils import UUIDType
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class TaskStatus(Base):
    __tablename__ = "task_status"

    uuid = Column(UUIDType,primary_key=True)
    task_request_uuid = Column(UUIDType)
    status = Column(VARCHAR(50))
    data = Column(JSON)
    created_at = Column(TIMESTAMP)

if __name__ == "__main__":
    engine = create_engine("sqlalchemy.url")
    Base.metadata.create_all(bind=engine)