from sqlalchemy import Column, TIMESTAMP, VARCHAR, create_engine
from sqlalchemy_utils import UUIDType
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class Tasks(Base):
    __tablename__ = "tasks"

    uuid = Column(UUIDType,primary_key=True)
    identifier = Column(VARCHAR(50))
    data_schema = Column(VARCHAR(10485760))
    created_at = Column(TIMESTAMP)
    updated_at = Column(TIMESTAMP)

if __name__ == "__main__":
    engine = create_engine("sqlalchemy.url")
    Base.metadata.create_all(bind=engine)